org.apache.hc.client5.http.impl

## Class PrefixedIncrementingId

- java.lang.Object
- - org.apache.hc.client5.http.impl.PrefixedIncrementingId

    @Internal
    public final class PrefixedIncrementingId
    extends Object

A thread safe incrementing identifier.

Since:
  5.1.4

### Constructor Summary

Constructors
Constructor and Description
`PrefixedIncrementingId(String prefix)` Creates an incrementing identifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getNextId()`
`long` `getNextNumber()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrefixedIncrementingId

    public PrefixedIncrementingId(String prefix)

Creates an incrementing identifier.

Parameters:
  `prefix` - string prefix for generated IDs

### Method Detail

#### getNextNumber

    public long getNextNumber()

#### getNextId

    public String getNextId()